org.activiti.engine.delegate.event.impl

## Class ActivitiSequenceFlowTakenEventImpl

- java.lang.Object
- - org.activiti.engine.delegate.event.impl.ActivitiEventImpl
  - - org.activiti.engine.delegate.event.impl.ActivitiSequenceFlowTakenEventImpl

- All Implemented Interfaces:
    ActivitiEvent, ActivitiSequenceFlowTakenEvent

      public class ActivitiSequenceFlowTakenEventImpl
      extends ActivitiEventImpl
      implements ActivitiSequenceFlowTakenEvent

  Author:
    Joram Barrez

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected String` | `sourceActivityBehaviorClass`
    `protected String` | `sourceActivityId`
    `protected String` | `sourceActivityName`
    `protected String` | `sourceActivityType`
    `protected String` | `targetActivityBehaviorClass`
    `protected String` | `targetActivityId`
    `protected String` | `targetActivityName`
    `protected String` | `targetActivityType`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `executionId, processDefinitionId, processInstanceId, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiSequenceFlowTakenEventImpl(ActivitiEventType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getSourceActivityBehaviorClass()`
    `String` | `getSourceActivityId()`
    `String` | `getSourceActivityName()`
    `String` | `getSourceActivityType()`
    `String` | `getTargetActivityBehaviorClass()`
    `String` | `getTargetActivityId()`
    `String` | `getTargetActivityName()`
    `String` | `getTargetActivityType()`
    `void` | `setId(String id)`
    `void` | `setSourceActivityBehaviorClass(String sourceActivityBehaviorClass)`
    `void` | `setSourceActivityId(String sourceActivityId)`
    `void` | `setSourceActivityName(String sourceActivityName)`
    `void` | `setSourceActivityType(String sourceActivityType)`
    `void` | `setTargetActivityBehaviorClass(String targetActivityBehaviorClass)`
    `void` | `setTargetActivityId(String targetActivityId)`
    `void` | `setTargetActivityName(String targetActivityName)`
    `void` | `setTargetActivityType(String targetActivityType)`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEvent

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType`

- - ### Field Detail

    - #### id

          protected String id

    - #### sourceActivityId

          protected String sourceActivityId

    - #### sourceActivityName

          protected String sourceActivityName

    - #### sourceActivityType

          protected String sourceActivityType

    - #### sourceActivityBehaviorClass

          protected String sourceActivityBehaviorClass

    - #### targetActivityId

          protected String targetActivityId

    - #### targetActivityName

          protected String targetActivityName

    - #### targetActivityType

          protected String targetActivityType

    - #### targetActivityBehaviorClass

          protected String targetActivityBehaviorClass

  - ### Constructor Detail

    - #### ActivitiSequenceFlowTakenEventImpl

          public ActivitiSequenceFlowTakenEventImpl(ActivitiEventType type)

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ActivitiSequenceFlowTakenEvent`

    - #### setId

          public void setId(String id)

    - #### getSourceActivityId

          public String getSourceActivityId()

      Specified by:
        `getSourceActivityId` in interface `ActivitiSequenceFlowTakenEvent`

    - #### setSourceActivityId

          public void setSourceActivityId(String sourceActivityId)

    - #### getSourceActivityName

          public String getSourceActivityName()

      Specified by:
        `getSourceActivityName` in interface `ActivitiSequenceFlowTakenEvent`

    - #### setSourceActivityName

          public void setSourceActivityName(String sourceActivityName)

    - #### getSourceActivityType

          public String getSourceActivityType()

      Specified by:
        `getSourceActivityType` in interface `ActivitiSequenceFlowTakenEvent`

    - #### setSourceActivityType

          public void setSourceActivityType(String sourceActivityType)

    - #### getSourceActivityBehaviorClass

          public String getSourceActivityBehaviorClass()

      Specified by:
        `getSourceActivityBehaviorClass` in interface `ActivitiSequenceFlowTakenEvent`

    - #### setSourceActivityBehaviorClass

          public void setSourceActivityBehaviorClass(String sourceActivityBehaviorClass)

    - #### getTargetActivityId

          public String getTargetActivityId()

      Specified by:
        `getTargetActivityId` in interface `ActivitiSequenceFlowTakenEvent`

    - #### setTargetActivityId

          public void setTargetActivityId(String targetActivityId)

    - #### getTargetActivityName

          public String getTargetActivityName()

      Specified by:
        `getTargetActivityName` in interface `ActivitiSequenceFlowTakenEvent`

    - #### setTargetActivityName

          public void setTargetActivityName(String targetActivityName)

    - #### getTargetActivityType

          public String getTargetActivityType()

      Specified by:
        `getTargetActivityType` in interface `ActivitiSequenceFlowTakenEvent`

    - #### setTargetActivityType

          public void setTargetActivityType(String targetActivityType)

    - #### getTargetActivityBehaviorClass

          public String getTargetActivityBehaviorClass()

      Specified by:
        `getTargetActivityBehaviorClass` in interface `ActivitiSequenceFlowTakenEvent`

    - #### setTargetActivityBehaviorClass

          public void setTargetActivityBehaviorClass(String targetActivityBehaviorClass)

Copyright © 2016 Alfresco. All rights reserved.